IBM Support

IBM Security Directory Server V6.4 Support for DB2 11.1 ESE

Manuals


Abstract

Instructions for installation of DB2 11.1 with 6.4

Content

  • IBM DB2 Enterprise Server Edition (ESE) 11.1 Mod 3 FP3 (11.1.3.3) or later fix levels is supported with IBM Security Directory Server(SDS) 6.4.0.16 or later fix  levels.
  • SDS V6.4 base images do not include DB2 11.1 inside the image (SDS iso file).
  • SDS V6.4 eAssemblies on Passport Advantage is updated to include the following DB2 11.1 parts:
    • DB2 11.1 Enterprise Server Edition (ESE) Activation
    • DB2 11.1 High Capacity (HC) Activation
    • DB2 11.1 Language packs for AIX and Linux on x64 and System z (s390x)
  • DB2 11.1.3.3 and later fix levels are provided / available on the Fix Central(FC).
Prerequisites
  1. Download the following from Passport Advantage
    1. SDS 6.4 (SDS 6.4 base level ISO images: (Note: If you have a working SDS 6.4 instance with DB2 10.5, then skip this step)
      Refer to the platform specific tables for the Passport Advantage part numbers of SDS 6.4: AIX, Linux and Windows.
    2. DB2 Activation parts:
      ESE: CNB25ML - DB2_ESE_Restricted_Activation_11.1.zip
      HC: CNB26ML - DB2_OHC_Restricted_Activation_11.1.zip

High level procedure to use DB2 11.1.3.3 (or later fix levels) with SDS 6.4.0.20 or later fix levels on AIX and Linux
1. Install DB2 11.1.3.3 or later fix level and apply Activation Keys. Refer the steps mentioned below in -
2. Install recommended fix levels of latest GSKIT and Java SDK by referring to SDS 6.4 recommended fixes table.
3. Install SDS 6.4.0.20 using native operative system commands.
Note: If you are upgrading from previous SDS 6.4 versions to SDS 6.4.0.20 -
  • If Previous fix level of SDS 6.4 is installed using DB2 prereq check skip file, then make sure to delete IBMLDAP_INSTALL_SKIPDB2REQ file, so that ldapdb.properties file is created and populated with correct details of installed DB2 11.1 version.

    Location of IBMLDAP_INSTALL_SKIPDB2REQ file:
    AIX: /opt/IBM/ldap/V6.4/install/IBMLDAP_INSTALL_SKIPDB2REQ
    Linux: /opt/ibm/ldap/V6.4/install/IBMLDAP_INSTALL_SKIPDB2REQ
     
  • If DB2 prereq check skip file is not removed before upgradation, then blank entries are created in ldapdb.properties file (specified as below) so that the end user can fill it later.
    currentDB2InstallPath=
    currentDB2Version=
4. After upgradation to SDS 6.4.0.20 or in case of fresh install of SDS 6.4.0.20, the global ldapdb.properties file gets created and populated with correct details of installed DB2 11.1:
  • Location of global ldapdb.properties file for SDS 6.4:
    AIX: /opt/IBM/ldap/V6.4/etc/ldapdb.properties
    Linux: /opt/ibm/ldap/V6.4/etc/ldapdb.properties
     
  • Sample of updated contents of ldapdb.properties file:
    AIX:
    currentDB2InstallPath=/opt/IBM/db2/V11.1
    currentDB2Version=11.1.3.3

    Linux:
    currentDB2InstallPath=/opt/ibm/db2/V11.1
    currentDB2Version=11.1.3.3

High-level procedure to use DB2 11.1.3.3 (or later fix levels) with SDS 6.4.0.16 - SDS 6.4.0.19 on AIX and Linux
1. Create a DB2 prereq check skip file which helps in SDS LDAP Server package installation.
AIX:
mkdir -p /opt/IBM/ldap/V6.4/install
touch /opt/IBM/ldap/V6.4/install/IBMLDAP_INSTALL_SKIPDB2REQ
Linux:
mkdir -p /opt/ibm/ldap/V6.4/install
touch /opt/ibm/ldap/V6.4/install/IBMLDAP_INSTALL_SKIPDB2REQ
2. Install SDS 6.4 base, GSKit and Java SDK from the SDS 6.4 iso image: (Note: If you have a working SDS 6.4 instance with DB2 10.5, then skip this step)
Refer to Knowledge Center for Installation on AIX, Linux and Windows.
3. Install recommended fix levels of SDS 6.4.0.16 (or later) along with latest GSKIT and Java SDK by referring to SDS 6.4 recommended fixes table.
4. Install DB2 11.1.3.3 or later fix level and apply Activation Keys. Refer the steps mentioned below in -
5. Check and update the SDS 6.4 global ldapdb.properties file to use DB2 11.1:
  • Location of global ldapdb.properties file for SDS 6.4:
    AIX: /opt/IBM/ldap/V6.4/etc/ldapdb.properties
    Linux: /opt/ibm/ldap/V6.4/etc/ldapdb.properties
  • Find DB2 11.1 install location, and version info: /usr/local/bin/db2ls
  • Create/Update SDS 6.4 global ldapdb.properties file using a normal text editor like vi / vim on Linux and AIX:
    • ldapdb.properties file requires two lines in the format:
      currentDB2InstallPath=<supported_db2_install_location>
      currentDB2Version=<supported_db2_version_level>
    • AIX - Sample of updated contents of ldapdb,properties file:
      currentDB2InstallPath=/opt/IBM/db2/V11.1
      currentDB2Version=11.1.3.3
    • Linux - Sample of updated contents of ldapdb,properties file:
      currentDB2InstallPath=/opt/ibm/db2/V11.1
      currentDB2Version=11.1.3.3
  • After updating SDS 6.4 global ldapdb.properties file with the DB2 11.1 location and version as on your system, save and close the file.

High level procedure to use DB2 11.1.3.3 (or later fix levels) with SDS 6.4.0.16 or later fix levels on Windows
1. Install SDS 6.4 base, GSKit and Java SDK from the SDS 6.4 iso image: (Note: If you have a working SDS 6.4 instance with DB2 10.5, then skip this step)
Refer to Knowledge Center for Installation on AIX, Linux and Windows.
Note: For the first time installation on Windows, its required to install the DB2 10.5 provided by the SDS 6.4 iso just for the SDS 6.4 installation to complete successfully.
2. Install recommended fix levels of SDS 6.4.0.16 (or later) along with latest GSKIT and Java SDK by referring to SDS 6.4 recommended fixes table.
3. Install DB2 11.1.3.3 or later fix level and apply Activation Keys. Refer the steps mentioned below in -
4. Check and update the SDS 6.4 global ldapdb.properties file to use DB2 11.1:
  • Location of global ldapdb.properties file for SDS 6.4:
    Windows: <SDS_V6.4_Install_Location>\etc\ldapdb.properties
    If SDS 6.4 is installed at default location then the file is located at "C:\Program Files\IBM\ldap\V6.4\etc\ldapdb.properties"
  • Find DB2 11.1 install location, and version info:
    Windows using a "DB2 command window as Administrator":
    db2level
  • Create/Update SDS 6.4 global ldapdb.properties file using a normal text editor like Notepad / Notepad++ for Windows:
    • ldapdb.properties file requires two lines in the format:
      currentDB2InstallPath=<supported_db2_install_location>
      currentDB2Version=<supported_db2_version_level>
    • Windows: Sample of updated contents of ldapdb,properties file:
      currentDB2InstallPath=C:\Program Files\IBM\SQLLIB
      currentDB2Version=11.1.3030.239
  • After updating SDS 6.4 global ldapdb.properties file with the DB2 11.1 location and version as on your system, save and close the file.

High level procedure to use DB2 11.1.3.3 (or later fix levels) with SDS 6.4.0.15 or below fix levels
IBM SDS 6.4.0.15 or below fix levels does not support DB2 11.1. You need to upgrade to SDS 6.4.0.16 or higher levels to use DB2 11.1.3.3 (or later fix levels).
For more information, please refer to -

Installation of DB2 11.1.3.3 or later fix level and License Key Activation Process
1. Install DB2 11.1.3.3 or later fix level - Install full DB2 SERVER product:
Refer to Knowledge Center for installation on Linux / Unix and Windows Server platforms.
2. Extract and apply the "DB2 11.1 ESE Activation Key" followed by "DB2 11.1 HC Activation Key" provided by SDS 6.4:
  • These activation keys (licenses) provided by SDS 6.4 should be used for the purpose of SDS 6.4 ONLY under the provided license terms.
  • Unpack the DB2 11.1 ESE Activation Part file "DB2_ESE_Restricted_Activation_11.1.zip" 
  • The activation key file can be found at the location: <unpack_path>/ese_o/db2/license/db2ese_o.lic
  • Run db2licm command to register "DB2 Server product" with "Enterprise Server Edition" license using the above activation key file.
    • Linux or UNIX operating systems:
      
      <db2_11.1_install_path>/adm/db2licm -a <unpack_path>/ese_o/db2/license/db2ese_o.lic
    • Windows operating systems using a "DB2 command window as Administrator":
      <db2_11.1_install_path>\bin\db2licm -a <unpack_path>\ese_o\db2\license\db2ese_o.lic
    • Verify the DB2 activation:
      db2licm -l
  • Unpack the DB2 11.1 High Capacity (HC) Activation Part file "DB2_OHC_Restricted_Activation_11.1.zip"
  • The activation key file can be found at the location - <unpack_path>/hc/db2/license/db2hc.lic
  • Run db2licm command to register "DB2 Server product" with "HC" license using the activation key file.
    • Linux or UNIX operating systems:
      <db2_11.1_install_path>>/adm/db2licm -a <unpack_path>/hc/db2/license/db2hc.lic
    • Windows operating systems using a "DB2 command window as Administrator":
      <db2_11.1_install_path>>\bin\db2licm -a <unpack_path>\hc\db2\license\db2hc.lic
    • Verify the DB2 activation:
      db2licm -l
Next Steps after successful SDS 6.4 installation:
  1. Create and configure a new SDS 6.4 instance
  2. Upgrade an instance of a previous version (V6.3 / V6.3.1) to SDS 6.4 instance:
  3. On an existing SDS 6.4 instance with DB2 10.5, upgrade the DB2 to 11.1 using "idsdbmigr" tool provided by SDS 6.4 (in sbin folder of SDS 6.4 installation)
    • Stop ibmslapd and ibmdiradm processes for the SDS 6.4 instance.
    • Upgrade SDS 6.4 instance's associcated DB2 instance and database to 11.1 level from 10.5 level:
      idsdbmigr -I <sds_instance_name> -N <db2_11.1_install_location>

[{"Business Unit":{"code":"BU008","label":"Security"},"Product":{"code":"SSVJJU","label":"IBM Security Directory Server"},"Component":"","Platform":[{"code":"PF002","label":"AIX"},{"code":"PF016","label":"Linux"},{"code":"PF033","label":"Windows"}],"Version":"6.4.0.16 and later fix levels","Edition":"","Line of Business":{"code":"LOB24","label":"Security Software"}}]

Document Information

Modified date:
06 November 2019

UID

ibm10792557